Package com.io7m.idstore.protocol.admin.cb

# Class IdACB1Messages

java.lang.Object
com.io7m.idstore.protocol.admin.cb.IdACB1Messages

All Implemented Interfaces:
  `IdProtocolMessagesType<IdAMessageType>`, `com.io7m.repetoir.core.RPServiceType`

public final class IdACB1Messages extends Object implements IdProtocolMessagesType<IdAMessageType>, com.io7m.repetoir.core.RPServiceType
The protocol messages for Admin v1 Cedarbridge.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONTENT_TYPE`
  The content type for the protocol.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdACB1Messages()`
  The protocol messages for Admin v1 Cedarbridge.
  `IdACB1Messages(com.io7m.jbssio.api.BSSReaderProviderType inReaders, com.io7m.jbssio.api.BSSWriterProviderType inWriters)`
  The protocol messages for Admin v1 Cedarbridge.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `contentType()`
  `String`
  `description()`
  `IdAMessageType`
  `parse(byte[] data)`
  Parse a message from the given bytes.
  `static UUID`
  `protocolId()`
  `byte[]`
  `serialize(IdAMessageType message)`
  Serialize the given message to a byte array.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### CONTENT_TYPE

    public static final String CONTENT_TYPE
    The content type for the protocol.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### IdACB1Messages

    public IdACB1Messages(com.io7m.jbssio.api.BSSReaderProviderType inReaders, com.io7m.jbssio.api.BSSWriterProviderType inWriters)
    The protocol messages for Admin v1 Cedarbridge.
    Parameters:
      `inReaders` - The readers
      `inWriters` - The writers

  - ### IdACB1Messages

    public IdACB1Messages()
    The protocol messages for Admin v1 Cedarbridge.

- ## Method Details

  - ### contentType

    public static String contentType()
    Returns:
      The content type

  - ### protocolId

    public static UUID protocolId()
    Returns:
      The protocol identifier

  - ### parse

    public IdAMessageType parse(byte[] data) throws IdProtocolException
    Description copied from interface: `IdProtocolMessagesType`
    Parse a message from the given bytes.
    Specified by:
      `parse` in interface `IdProtocolMessagesType<IdAMessageType>`
    Parameters:
      `data` - The bytes
    Returns:
      A parsed message
    Throws:
      `IdProtocolException` - If parsing fails

  - ### serialize

    public byte[] serialize(IdAMessageType message) throws IdProtocolException
    Description copied from interface: `IdProtocolMessagesType`
    Serialize the given message to a byte array.
    Specified by:
      `serialize` in interface `IdProtocolMessagesType<IdAMessageType>`
    Parameters:
      `message` - The message
    Returns:
      The serialized message as a byte array
    Throws:
      `IdProtocolException` - If serialization fails

  - ### description

    public String description()
    Specified by:
      `description` in interface `com.io7m.repetoir.core.RPServiceType`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`